Money Fund NAV Query
This endpoint is used to query the net asset value (NAV) of money funds (including the latest NAV and historical NAV), supporting filtering by product code and a time range of up to one year.
- For details on money fund order operations, please refer to
Money Fund Trading- All timestamps in requests and responses are by default expressed in UNIX seconds.
Net Asset Value Query
HTTP Request
bash
GET /market/v1/money-funds/navs/{symbol}Request Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
symbol | STRING | Yes | Route parameter. Fund product code. |
page | INT | No | URL parameter. Current page, default 1. |
page_size | INT | No | URL parameter. Number of rows per page, default 20, maximum 100. |
start_date | INT | No | URL parameter. Start time, if not provided, starts from one year ago. UNIX-style timestamp. |
end_date | INT | No | URL parameter. End time. UNIX-style timestamp. |
cURL Request Example
bash
curl --location --request GET '{$base_url}/market/v1/money-funds/navs/EFUSDFund?start_date=1759248000' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'X-API-Signature: YOUR_GENERATED_SIGNATURE' \
--header 'X-API-Timestamp: 1759253657'Successful Response
| Field Name | Type | Description |
|---|---|---|
date | INT | Date |
nav | DECIMAL | Net Asset Value |
Example
json
{
"code": 0,
"data": {
"total_records": 2,
"page": 1,
"page_size": 20,
"navs": [
{
"date": 1760918400,
"nav": 110
},
{
"date": 1754956800,
"nav": 116.806
}
]
}
}Error Response
| Field Name | Type | Description |
|---|---|---|
code | INT | Error code |
message | STRING | Error message |
details | STRING | Additional details |
範例
json
{
"code": 13010001,
"message": "The start and end dates should be Unix-style timestamps."
}
